com.verisign.epp.serverstub

## Class GenHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPGenHandler
  - - com.verisign.epp.serverstub.GenHandler

- All Implemented Interfaces:
    EPPEventHandler
  Direct Known Subclasses:
    LoginSecGenHandler

      public class GenHandler
      extends EPPGenHandler

  The `GenHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPGenHandler` class. It defines the Server's response to general EPP Commands.
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenHandler()` Construct an instance of GenHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doHello(EPPEvent aEvent, java.lang.Object aData)` Invoked when an EPP Hello command is received.
    `protected EPPEventResponse` | `doLogin(EPPEvent aEvent, java.lang.Object aData)` Handle a login command.
    `protected EPPEventResponse` | `doLogout(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Logout command is received.
    `protected EPPEventResponse` | `doPoll(EPPEvent aEvent, java.lang.Object aData)` Invoked when an EPP Poll command is received.

    - ### Methods inherited from class com.verisign.epp.framework.EPPGenHandler

      `getNamespace, handleEvent, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenHandler

          public GenHandler()

      Construct an instance of GenHandler

  - ### Method Detail

    - #### doLogin

          protected EPPEventResponse doLogin(EPPEvent aEvent,
                                             java.lang.Object aData)

      Handle a login command.
      Specified by:
        `doLogin` in class `EPPGenHandler`
      Parameters:
        `aEvent` - Event must contain an EPPLoginCmd for handling
        `aData` - Extra server data, which is `SessionData` for the Stub Server.
      Returns:
        Response to handling the login command

    - #### doLogout

          protected EPPEventResponse doLogout(EPPEvent aEvent,
                                              java.lang.Object aData)

      Invoked when a Logout command is received. A successful logout command ends the session
      Specified by:
        `doLogout` in class `EPPGenHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPGenHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doPoll

          protected EPPEventResponse doPoll(EPPEvent aEvent,
                                            java.lang.Object aData)

      Invoked when an EPP Poll command is received. Subclasses should define the behavior when a Poll command is received.
      Specified by:
        `doPoll` in class `EPPGenHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPGenHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHello

          protected EPPEventResponse doHello(EPPEvent aEvent,
                                             java.lang.Object aData)

      Invoked when an EPP Hello command is received. Subclasses should define the behavior when a Hello command is received.
      Specified by:
        `doHello` in class `EPPGenHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPGenHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.